--- lib/libalpm/add.c.orig	2007-06-20 17:11:47.000000000 -0400
+++ lib/libalpm/add.c	2007-06-20 17:11:59.000000000 -0400
@@ -704,8 +704,6 @@
 						_alpm_log(PM_LOG_ERROR, _("could not extract %s (%s)"), filename, strerror(errno));
 						alpm_logaction(_("error: could not extract %s (%s)"), filename, strerror(errno));
 						errors++;
-					} else {
-						chmod(filename, archive_entry_mode(entry));
 					}
 
 					/* calculate an hash if this is in newpkg's backup */
